Update Multi-Agent
Endpoint used to update a multi-agent.
Request Example
Section titled “Request Example”curl --request PUT \ --url https://chat.api.toolzz.com.br/api/v1/bot/update-multi/{id} \ --header 'Authorization: Bearer TOKEN_HERE' \ --header 'Content-Type: application/json' \ --data ' { "prompt": "<string>", "agentIds": [ "<string>" ] } 'Response Example
Section titled “Response Example”{ "id": "uuid", "name": "<string>", "prompt": "<string>", "metaprompt": "<string>", "description": "<string>", "folders": [ { "id": "uuid", "botId": "uuid", "folderId": "uuid", "kbId": "uuid", "kbFolder": { "isRoot": false, "id": "uuid", "institutionId": "uuid", "name": "<string>", "knowLedgeBaseId": "uuid" } } ], "botMultiAgents": [ { "id": "uuid", "botId": "uuid", "promptFlow": "<string>", "agentIds": [ "uuid" ], "createdAt": "<string>", "updatedAt": "<string>" } ] "favorites": [], "botFallBack": []}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
prompt | String | System Prompt with instructions and AI personality. | Yes |
agentIds | Array[String] | Array of identifiers of the agents that make up the multi-agent. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
id | UUID | Bot unique identifier. |
name | String | Bot identification name. |
prompt | String | Behavior and personality instructions (System Prompt). |
metaprompt | String | Global AI control instructions and limitations. |
description | String | Brief description of the Bot’s functions. |
folders | Array | List of folders and knowledge bases linked to the Bot. |
folders[].id | UUID | Unique identifier of the link between the Bot and the folder. |
folders[].botId | UUID | Identifier of the Bot to which the folder belongs. |
folders[].folderId | UUID | Folder identifier. |
folders[].kbId | UUID | Linked knowledge base identifier. |
folders[].kbFolder | Object | Object containing details of the folder in the knowledge base. |
folders[].kbFolder.isRoot | Boolean | Indicates if the folder is the root of the directory. |
folders[].kbFolder.name | String | Folder name in the knowledge base. |
botMultiAgents | Array | Flow and transition settings between multiple agents. |
botMultiAgents[].id | UUID | Unique identifier of the multi-agent rule. |
botMultiAgents[].promptFlow | String | Logical instructions that define when to switch between agents. |
botMultiAgents[].agentIds | Array | List of UUIDs of the agents that are part of the flow. |
botMultiAgents[].createdAt | String | Creation date of the multi-agent configuration. |
favorites | Array | List of identifiers of users who favorited the Bot. |
botFallBack | Array | List of agents or rules configured for automatic overflow. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
